=== debian/changelog ===
toil (5.7.1-1) unstable; urgency=medium

  * d/watch: update for new tag structure
  * New upstream version
  * refresh patches
  * d/patches/typing_fix: workaround for us skipping the AWS extra
    during building
  * d/patches/newer_cwltool: the expression module is now part of cwl-utils,
    not cwltool
  * d/rules: skip more tests that fail when run as root
  * d/patches/test_safe_paths: fix for running tests post-installation
  * d/tests/run-unit-tests: skip same tests we skip in d/rules

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 11:30:22 +0100

toil (5.6.0-7) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Make sure the doc applies to Debian installations with Python3
  * Update lintian-overrides
  * Set python3.10 instead of python3.9 in setting_version.patch
    Closes: #1013275

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jul 2022 17:39:37 +0200

toil (5.6.0-6) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Test dep on python3-all (Closes: #1009201)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Apr 2022 00:13:39 +0530

toil (5.6.0-5) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Do not run autopkgtests on arm64

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Mar 2022 01:41:12 +0530

toil (5.6.0-4) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * Apply patches before running autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Fri, 11 Mar 2022 03:46:49 +0530

toil (5.6.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with jobStores
    tests (Closes: #1005479)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 17:55:25 +0530

toil (5.6.0-2) unstable; urgency=medium

  * {Autopkg,}tests: sync the skiped tests

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jan 2022 11:42:07 +0100
