=== debian/changelog ===
toil (5.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * refresh patches; remove test_safe_paths & typing_fix, they were
    applied upstream.
  * new dependency: python3-pubsub
  * new patch to avoid unpackaged mypy_boto3_s3
  * Skip the aws/test_iam.py tests
  * python3-boto{,3} is now a hard requirement

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Jan 2023 23:33:14 +0100

toil (5.7.1-2) unstable; urgency=medium

  * d/test/control: re-enable running on arm64

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Dec 2022 16:06:23 +0100
