=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-docker,
                python3-dill,
                python3-future,
-               cwltool (>= 3.1.20220628170238),
+               cwltool (>= 3.1.20221008225030),
                python3-distutils,
                python3-enlighten,
                python3-wdlparse,
@@ -23,8 +23,9 @@
                rsync <!nocheck>,
                python3-yaml <!nocheck>,
                python3-urllib3,
-               python3-sphinx
-Standards-Version: 4.6.1
+               python3-sphinx,
+               python3-pubsub <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
@@ -35,11 +36,11 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-distutils,
-         cwltool (>= 3.1.20211104071347)
-Recommends: python3-boto,
-            python3-boto3,
+         cwltool (>= 3.1.20221008225030),
+         python3-boto,
+         python3-boto3
 # for WDL support
-            python3-wdlparse,
+Recommends: python3-wdlparse,
 # for google cloud support
             python3-libcloud
 # for mesos support, but needs python3-mesos first
