=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,3 @@
 Tests: run-unit-tests
 Depends: toil, python3, python3-wdlparse, python3-pytest, python3-mock, python3-boto3, rsync, python3-boto, python3-stubserver, python3-yaml, quilt
 Restrictions: allow-stderr, needs-internet
-Architecture: !arm64
