## toil 5.9.0

=== debian/changelog ===
toil (5.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: match build-deps to upstream
  * run tests in parallel

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 19:05:54 +0100

toil (5.8.0-3) unstable; urgency=medium

  * d/patches/setting_version.patch: really keep the python minor
    version out

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 18 Jan 2023 15:24:50 +0100

toil (5.8.0-2) unstable; urgency=medium

  * set exactPython to "python3" to always use the system version
  * Recommend podman in addition to docker/singularity

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Jan 2023 15:30:29 +0100
