=== debian/control ===
--- 
+++ 
@@ -11,11 +11,13 @@
                python3-docker,
                python3-dill,
                python3-future,
-               cwltool (>= 3.1.20221008225030),
+               cwltool (>= 3.1.20221201130942),
+               python3-schema-salad (>= 8.4.20230128170514),
                python3-distutils,
                python3-enlighten,
                python3-wdlparse,
                python3-pytest <!nocheck>,
+               python3-xdist <!nocheck>,
                python3-mock <!nocheck>,
                python3-boto3 (>=1.17) <!nocheck>,
                python3-boto <!nocheck>,
@@ -36,7 +38,8 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-distutils,
-         cwltool (>= 3.1.20221008225030),
+         cwltool (>= 3.1.20221201130942),
+         python3-schema-salad (>= 8.4.20230128170514),
          python3-boto,
          python3-boto3
 # for WDL support
@@ -45,7 +48,7 @@
             python3-libcloud
 # for mesos support, but needs python3-mesos first
 #         python3-protobuf,
-Suggests: docker.io | singularity-container | docker-ce,
+Suggests: podman | docker.io | singularity-container | docker-ce,
           python3-azure,
           python3-azure-storage,
           python3-idna,
