=== debian/changelog ===
toil (5.9.2-2+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Apply patch by Michael R. Crusoe to request a single core
    in the tests. Closes: #1031192.

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Nov 2023 00:35:00 +0100

toil (5.9.2-2) unstable; urgency=medium

  * Add patch to handle errors when testing on ec2.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 06 Feb 2023 19:04:14 +0100

toil (5.9.2-1) unstable; urgency=medium

  * correct build-dep on pytest-xdist
  * d/test/control: depend on "@" instead of the unversioned "toil".
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 Feb 2023 19:21:49 +0100
