=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-enlighten,
                python3-wdlparse,
                python3-pytest <!nocheck>,
-               python3-xdist <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-mock <!nocheck>,
                python3-boto3 (>=1.17) <!nocheck>,
                python3-boto <!nocheck>,
