=== debian/tests/control ===
Tests: smoke-test
Depends: @, python3-wdlparse
Restrictions: allow-stderr, superficial

Tests: run-unit-tests
Depends: @, python3, python3-wdlparse, python3-pytest, python3-pytest-xdist, python3-mock, python3-boto3, rsync, python3-boto, python3-stubserver, python3-yaml, quilt
Restrictions: allow-stderr, needs-internet
