## toil 5.11.0

=== Makefile ===
--- 
+++ 
@@ -218,10 +218,10 @@
 
 docs: check_venv check_build_reqs
 	# Strange, but seemingly benign Sphinx warning floods stderr if not filtered:
-	cd docs && make html
+	cd docs && ${MAKE} html
 
 clean_docs: check_venv
-	- cd docs && make clean
+	- cd docs && ${MAKE} clean
 
 clean: clean_develop clean_sdist clean_docs
 
@@ -258,11 +258,11 @@
 ## sorting imports using isort: https://github.com/timothycrosley/isort
 sort_imports: $(PYSOURCES)
 	isort -m VERTICAL $^ contrib/mypy-stubs
-	make format
+	${MAKE} format
 
 remove_unused_imports: $(PYSOURCES)
 	autoflake --in-place --remove-all-unused-imports $^
-	make format
+	${MAKE} format
 
 remove_trailing_whitespace:
 	$(CURDIR)/contrib/admin/remove_trailing_whitespace.py
