=== debian/changelog ===
toil (5.11.0-2) unstable; urgency=medium

  * Exclude WDL from autopkgtests; as miniwdl isn't packaged yet for Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 15 Jul 2023 09:43:56 +0200

toil (5.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Build-Depends: python3-sphinx-autoapi, python3-sphinx-autodoc-typehints,
                   python3-sphinxcontrib.autoprogram, docker.io

  [ Michael R. Crusoe ]
  * d/rules: skip the WDL tests (not packaged)
  * d/patches/setting_version.patch: update for Toil 5.11.0

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jul 2023 22:43:13 +0200
