=== debian/control ===
--- 
+++ 
@@ -24,8 +24,12 @@
                python3-stubserver <!nocheck>,
                rsync <!nocheck>,
                python3-yaml <!nocheck>,
+               docker.io <!nocheck>,
                python3-urllib3,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-pubsub <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/toil
@@ -42,12 +46,12 @@
          python3-schema-salad (>= 8.4.20230128170514),
          python3-boto,
          python3-boto3
+# for google cloud support
+Recommends: python3-libcloud
 # for WDL support
-Recommends: python3-wdlparse,
-# for google cloud support
-            python3-libcloud
+#           python3-wdlparse,
 # for mesos support, but needs python3-mesos first
-#         python3-protobuf,
+#           python3-protobuf,
 Suggests: podman | docker.io | singularity-container | docker-ce,
           python3-azure,
           python3-azure-storage,
